Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.jsystems.framework.common.action.awt
Interface IAction

All Known Implementing Classes:
  FButton, FCheckBox, FCheckBoxMenuItem, FComboBox, FMenu, FMenuItem, FPasswordField, FRadioButton, FRadioButtonMenuItem, FTextField, FToggleButton

public interface IAction

Interface fuer ActionEvents. Hier wird die Schnittstelle zwischen Control und ActionManager fuer ActionEvents festgelegt.

Version:
  1.0
  Copyright by Jens Homm 2001 - 2004
Author:
  Jens Homm JSYSTEMS

Method Summary
`void` | `addActionListener(ActionListener listener)` Fuegt dem Control den uebergebenen Listener als ActionListener hinzu.
`String` | `getActionClassForAction()` Gibt den Namen der Actionklasse zurueck, die ausgefuehrt werden soll, wenn ein ActionEvent ausgeloest wurde.
`void` | `removeActionListener(ActionListener listener)` Entfernt den uebergebenen Listener aus dem Control.
`void` | `setActionClassForAction(String actionClassName)` Setzt den Namen der Actionklasse, die aufgerufen werden soll, wenn ein ActionEvent ausgeloest wurde.

Method Detail

### getActionClassForAction

    public String getActionClassForAction()

  Gibt den Namen der Actionklasse zurueck, die ausgefuehrt werden soll, wenn ein ActionEvent ausgeloest wurde.

  Returns:
    Der Name der Actionklasse fuer ActionEvents.

### setActionClassForAction

    public void setActionClassForAction(String actionClassName)

  Setzt den Namen der Actionklasse, die aufgerufen werden soll, wenn ein ActionEvent ausgeloest wurde.

  Parameters:
    `actionClassName` - Der Name der Actionklasse fuer ActionEvents.

### addActionListener

    public void addActionListener(ActionListener listener)

  Fuegt dem Control den uebergebenen Listener als ActionListener hinzu.

  Parameters:
    `listener` - Der hinzuzufuegende ActionListener.

### removeActionListener

    public void removeActionListener(ActionListener listener)

  Entfernt den uebergebenen Listener aus dem Control.

  Parameters:
    `listener` - Der zu entfernende ActionListener.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD